Maven plugin configuration errors

Hello,

Since today my IDEA 2016.3.2 started showing errors in maven plugins configuration. I have configured maven jaxb plugin like this:

<plugin>
<groupId>org.codehaus.mojo</groupId>
<artifactId>jaxb2-maven-plugin</artifactId>
<executions>
<execution>
<id>executionID</id>
<goals>
<goal>xjc</goal>
</goals>
<configuration>
<extension>true</extension>
<schemaDirectory>src/main/resources/wsdl/</schemaDirectory>
<schemaFiles>*.wsdl</schemaFiles>
<clearOutputDir>false</clearOutputDir>
<wsdl>true</wsdl>
<xmlschema>false</xmlschema>
<verbose>false</verbose>
<quiet>true</quiet>
</configuration>
</execution>
</executions>
</plugin>

This is pretty common configuration which I have used many times. But now I'm getting errors for JAXB plugin specific elements (Element is not allowed here). This is very annoying error, since I have all modules containing this config underlined in project explorer. JAXB plugin works fine

So I have few questions about that.

Why so suddenly? I didn't change plugin version nor its configuration in pom.xml.

Is it possible to force IDEA to stop validate maven plugins? Or is it possible to provide different scheme instead of plugin.xml?

Thank you

Marek

Please sign in to leave a comment.